body {

	font-size: 24px;

	margin: 0;

	padding-top: 10px;

}

#chooser {

	position: fixed;

	top: 0;

	border: 0;

}

#chooser select {

	font-size: 16px;

	height: 40px;

}

.explain {

	font-size: 20px;

	border: 1px solid #999;

	padding: 10px;

	background-color: #efefef;

}

h2 {

	background-color: #000;

	color: #fff;

}

h3 {

	border-bottom: 1px solid #888;

}

h3.css3 {

	background-color: #fafafa;

}

h3.css3:after {

	content: "[CSS3]";

	color: green;

}

div {

	border: 1px solid #333;

	margin-bottom: 30px;

	padding: 10px;

}

#attr1 p[class] {

	background-color: #FFCC00;

}

#attr2 p[class="target"] {

	background-color: #FFCC00;

}

#attr3 p[class~="target"] {

	background-color: #FFCC00;

}

#attr4 p[class^="target"] {

	background-color: #FFCC00;

}

#attr5 p[class$="t"] {

	background-color: #FFCC00;

}

#attr6 p[class*="te"] {

	background-color: #FFCC00;

}

#attr7 a[lang|="en"] {

	background-color: #9999FF;

}

#attr7 a[lang|="ja"] {

	background-color: #FFFFFF;

}

#attr7 a[lang|="zh"] {

	background-color: #FF0000;

}

:root {

	margin: 20px;

}

div[id^="p"] p {

	font-size: 12px;

}

div[id^="p"] div {

	margin-left: 20px;

}

div[id^="p"] div::after {

	font-size: 12px;

	color: #aaa;

	content: "ここまでDIV";

	display: block;

	border-bottom: 1px dotted #000;

}

div[id^="p"] div::before {

	font-size: 12px;

	color: #aaa;

	content: "ここからDIV";

	display: block;

	border-top: 1px dotted #000;

}

#pclass2 p:nth-child(even) {

	background-color: #FFCCCC;

}

#pclass3 p:nth-last-child(1) {

	background-color: #FFCCCC;

}

#pclass4 p:nth-of-type(even) {

	background-color: #FFCCCC;

}

#pclass5 p:nth-last-of-type(1) {

	background-color: #FFCCCC;

}

#pclass6 *:first-child {

	background-color: #FFCCCC;

}

#pclass7 *:last-child {

	background-color: #FFCCCC;

}

#pclass8 p:first-of-type {

	background-color: #FFCCCC;

}

#pclass9 p:last-of-type {

	background-color: #FFCCCC;

}

#pclass10 *:only-child {

	background-color: #FFCCCC;

}

#pclass11 *:only-of-type {

	background-color: #FFCCCC;

}

#pclass12 *:empty::after {

	content:"↑空のタグがあります";

	color: red;

	display: block;

	text-decoration: overline;

}

#linkpclass1 *:link {

	color: red;

}

#linkpclass1 *:visited {

	color: purple;

}

#linkpclass2 *:active {

	border: 2px solid red;

}

#linkpclass2 *:hover {

	background-color: yellow;

	color: black;

}

#linkpclass2 *:focus {

	background-color: orange;

}

*:target {

	border: 10px solid red;

}

#lang *:lang(en) {

	color: blue;

}

#lang *:lang(ja) {

	color: green;

}

#lang *:lang(zh) {

	color: red;

}

#able *:enabled {

	padding: 5px;

	outline: 5px solid green;

}

#able *:disabled {

	background-color: black;

	color: #fff;

	outline: none;

}

#able input:checked+label {

	color: #FF0000;

}

#pelement2 *::first-letter {

	font-size: 200%;

}

#pelement3 *::selection {

	color: red;

}

#pelement4 *::before {

	content: "ここから＜";

	color: red;

}

#pelement4 *::after {

	content: "＞ここまで";

	color: red;

}

#not p:not([class^="target"]) {

	text-decoration: line-through;

}

#pselector p {

	text-decoration: line-through;

}

#pselector1>p {

	text-decoration: line-through;

}

#pselector2 div+p {

	text-decoration: line-through;

}

#pselector3 div~p {

	text-decoration: line-through;

}

#pelement1 *::first-line {

	text-decoration: line-through;

}